﻿// <auto-generated />
using System;
using BeerOverflow.Database;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace BeerOverflow.Database.Migrations
{
    [DbContext(typeof(BeerOverflowDbContext))]
    partial class BeerOverflowDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.3")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("BeerOverflow.Models.Beer", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<double>("AlcoholPercent")
                        .HasColumnType("float");

                    b.Property<Guid>("BreweryId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("CountryId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(500)")
                        .HasMaxLength(500);

                    b.Property<string>("ImageURL")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsBeerOfTheWeek")
                        .HasColumnType("bit");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<bool>("IsProduced")
                        .HasColumnType("bit");

                    b.Property<bool>("IsPublished")
                        .HasColumnType("bit");

                    b.Property<int>("Mililiters")
                        .HasColumnType("int");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(40)")
                        .HasMaxLength(40);

                    b.Property<double>("Price")
                        .HasColumnType("float");

                    b.Property<Guid>("StyleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("BreweryId");

                    b.HasIndex("CountryId");

                    b.HasIndex("StyleId");

                    b.ToTable("Beers");

                    b.HasData(
                        new
                        {
                            Id = new Guid("133e0d92-cedc-40a7-b8fd-e5669611b3dc"),
                            AlcoholPercent = 6.7000000000000002,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Clear medium yellow colour with a large, frothy, good lacing, mostly lasting, white head. Aroma is moderate malty, pale malt, moderate hoppy, flowers, citrus, light passion fruit. Flavor is moderate sweet and bitter with a long duration, passion fruit, fruity hops, citrus, fruity, pale malt. Body is medium, texture is oily to watery, carbonation is soft.",
                            ImageURL = "https://birka.bg/wp-content/uploads/2018/10/baso.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Basi Kefa",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("e13fe243-c8b3-494d-acca-39ea27cd8d41"),
                            AlcoholPercent = 6.0,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Pours cloudy with a brief frothy head, plenty of lacing but no bead. Mid amber/ dirty orange in colour. Aromas of orange, banana and cereal. Very smooth in the mouth with flavours of banana, orange and pineapple over a base of honeyed cereal. Quite bitter in the finish, but scarcely any sweetness. Overall, another very enjoyable and well made Bulgarian IPA that is actually from Greece.",
                            ImageURL = "https://cdn.dribbble.com/users/1621762/screenshots/4008898/dribble.png",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 330,
                            Name = "Ailyak Cryo Mosaic",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("bacfedee-043c-4c26-b135-76cb2a092f1d"),
                            AlcoholPercent = 5.5,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Complex IPA, with rich aroma of citrus, pine, red fruit",
                            ImageURL = "https://birka.bg/wp-content/uploads/2018/08/%D0%BE%D0%BF%D0%B0%D1%81%D0%B5%D0%BD.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Opasen Char",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("631a4aff-5de7-4609-b7e1-6d8ba402adcc"),
                            AlcoholPercent = 5.2999999999999998,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Slightly cloudy, faint amber colour with average, frothy, slowoly osteoporosing, minimally lacing, white head. Caramel malty and citrusy, slightly leafy, hoppy aroma, hints of lemon tea, cautious doughy yeasty overtones. Taste is slightly dry, citrusy, minimally leafy, hoppy, minimally sweet caramel malty basis, hints of lemon tea, instant lemon tea, cautious smoky overtones; slightly overcarbonated.",
                            ImageURL = "https://birka.bg/wp-content/uploads/2018/10/po.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Po Poleka",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("b9c4fd4c-dd66-4418-add3-4e8199913413"),
                            AlcoholPercent = 5.5,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Unclear red, small foamy head. Rose hip, hibiscus lemon, tart notes, ice tea, grenadine, red currant Dry sourness. Medium bodied, oily watery texture, lively carbonated, tart dry sour finish. Lovely tasty beer.",
                            ImageURL = "https://birka.bg/wp-content/uploads/2019/08/dirty.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Freigeist Dirty Flamingo",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("4d65361e-c387-463c-b7ba-deff805032e5"),
                            AlcoholPercent = 4.5999999999999996,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = " Pours clear deep gold, almost pale amber with a thin fluffy head, some lacing but no visible rising carbonation. On the nose, brilliant ripe citrus - orange, grapefruit and tangerine. In the mouth, a touch of caramel and honey add to the citrus flavours, very slight astringency, minimal sweetness with a short - crisp - mid-bitter finish. An almost perfect IPL.",
                            ImageURL = "https://birka.bg/wp-content/uploads/2019/04/bas.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 355,
                            Name = "Bash Maistora",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("9af21ad7-d997-4fdb-b61e-8a32b780ef8e"),
                            AlcoholPercent = 5.7999999999999998,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Pours clear honey-gold with a fluffy, pure white head. Rather a nice pithy, citrusy pale ale, with some bread crust, semi-ripe citrus, nips of pine. Light bodied with fine to average carbonation. Well balanced finish. ",
                            ImageURL = "https://birka.bg/wp-content/uploads/2019/11/%D0%B8%D0%BB%D0%BB.png",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Faster Bastard IPA",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("d14758c8-3840-4b45-a861-bca2dca49de6"),
                            AlcoholPercent = 5.5,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = " Lightly hazy straw, heavy lacing but not much head or rising carbonation. On the nose, soft floral hops with bread and honey. In the mouth, soft rich flavours similar to the aromas, smooth texture, mild bitterness into a clean finish. A really good beer-flavoured beer.",
                            ImageURL = "https://birka.bg/wp-content/uploads/2019/10/8.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "1 Vreme",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("781a1380-ad56-4717-94de-89fbe6997213"),
                            AlcoholPercent = 5.5,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "Smoked chilli porter brewed with Rhombus Craft Brewery",
                            ImageURL = "https://birka.bg/wp-content/uploads/2018/10/%D1%85%D0%BE.jpg",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Hot Takova",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        },
                        new
                        {
                            Id = new Guid("e2e4bfd0-95e8-4b19-8666-731594961eb1"),
                            AlcoholPercent = 5.5,
                            BreweryId = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "A stout brewed with bulgarian chestnut.",
                            ImageURL = "https://birka.bg/wp-content/uploads/2018/11/da.png",
                            IsBeerOfTheWeek = false,
                            IsDeleted = false,
                            IsProduced = false,
                            IsPublished = false,
                            Mililiters = 0,
                            Name = "Dami Kanyat",
                            Price = 0.0,
                            StyleId = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7")
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Brewery", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("CountryId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(40)")
                        .HasMaxLength(40);

                    b.HasKey("Id");

                    b.HasIndex("CountryId");

                    b.ToTable("Breweries");

                    b.HasData(
                        new
                        {
                            Id = new Guid("89e0215e-2726-489b-8d63-b851b997f622"),
                            CountryId = new Guid("eee1a9ab-c409-42c4-ae07-f622a959bb0b"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "KamenitzaAD"
                        },
                        new
                        {
                            Id = new Guid("3d046341-8215-453d-8647-cc5a63d039fb"),
                            CountryId = new Guid("eee1a9ab-c409-42c4-ae07-f622a959bb0b"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Beer Bastards - Papa Brewery - Burgas"
                        },
                        new
                        {
                            Id = new Guid("70dc3f24-6681-4ca0-9a67-9e3e78fa8b93"),
                            CountryId = new Guid("eee1a9ab-c409-42c4-ae07-f622a959bb0b"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Unknown"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Country", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("ISO")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(40)")
                        .HasMaxLength(40);

                    b.HasKey("Id");

                    b.ToTable("Countries");

                    b.HasData(
                        new
                        {
                            Id = new Guid("eee1a9ab-c409-42c4-ae07-f622a959bb0b"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Bulgaria"
                        },
                        new
                        {
                            Id = new Guid("f444594e-5626-4c1e-b285-571f33930010"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Serbia"
                        },
                        new
                        {
                            Id = new Guid("e0932858-11cb-4a27-87f2-8756649b8c86"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Germany"
                        },
                        new
                        {
                            Id = new Guid("56e91350-598b-4f55-94d9-eefd329f1861"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Romania"
                        },
                        new
                        {
                            Id = new Guid("7c1703b1-3f2a-4979-a9f0-7a176960c470"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Unknown"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Review", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("BeerId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("Content")
                        .HasColumnType("nvarchar(400)")
                        .HasMaxLength(400);

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<int>("Flagged")
                        .HasColumnType("int");

                    b.Property<bool>("IsBanned")
                        .HasColumnType("bit");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<int>("Rating")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("BeerId");

                    b.ToTable("Reviews");
                });

            modelBuilder.Entity("BeerOverflow.Models.Role", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");

                    b.HasData(
                        new
                        {
                            Id = new Guid("cdde12b9-e61a-4748-a239-c7331b4fb6a8"),
                            ConcurrencyStamp = "a07071c4-cc9b-4651-bbf8-b02210fe40f3",
                            Name = "Admin",
                            NormalizedName = "ADMIN"
                        },
                        new
                        {
                            Id = new Guid("43a08cc4-76ae-46d8-9e2c-cde7b0479146"),
                            ConcurrencyStamp = "2ed3c7d7-ad3d-4843-a0eb-e3b429ff7993",
                            Name = "Member",
                            NormalizedName = "MEMBER"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Style", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("nvarchar(40)")
                        .HasMaxLength(40);

                    b.HasKey("Id");

                    b.ToTable("Styles");

                    b.HasData(
                        new
                        {
                            Id = new Guid("49657e0d-b39c-48ed-92ea-839e0f33afd7"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "The classic Pale Ale is generally a deep-golden to copper colored, hop-forward ale with a balanced malt profile. This style specifically represents all generic Pale Ales (sometime called International Pale Ale) which are marketed as such and which cannot be defined as a specific regional Pale Ale style such as the American Pale Ale. This also includes beers marketed as Extra Pale Ale (XPA), a non-defined style that usually sits between an American Pale Ale and an India Pale Ale, a hop forward beer and generally more intense than an APA but not as hop-forward as an IPA. Sometimes, the XPA also refers to a session-strength or simply paler Pale Ale.",
                            IsDeleted = false,
                            Name = "Pale Ale"
                        },
                        new
                        {
                            Id = new Guid("f32de916-9ea8-4f93-96d2-732d1b01fe8e"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            IsDeleted = false,
                            Name = "Unknown"
                        },
                        new
                        {
                            Id = new Guid("96cc020a-753d-4483-9531-02b0a83b0a66"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "The Brut India Pale Ale (IPA) is a very pale to light golden, very dry, highly effervescent variant of American IPA, usually highly hopped with aromatic hops, but with far less actual bitterness. Enzymes are used in the mash and/or fermenter along with highly fermentable wort and often adjuncts like rice and corn to achieve close to total attenuation, resulting in an absent residual malt sweetness. Hopped in a similar fashion to New England IPA, but without sweetness. Pale like a West Coast IPA, but without high bitterness. Highly carbonated like a Belgian Golden Strong ale, but even drier, and without Belgian spice and phenol character.",
                            IsDeleted = false,
                            Name = "IPA - Brut"
                        },
                        new
                        {
                            Id = new Guid("bad58025-7855-482b-8f96-e74c4c122a9b"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "The English India Pale Ale (IPA) is a hoppy, moderately-strong, very well-attenuated pale golden to deep amber British ale with a dry finish and a hoppy aroma and flavor. Generally will have more finish hops and less fruitiness and/or caramel than British pale ales and bitter and has less hop intensity and a more pronounced malt flavor than typical American versions. The modern IPA style generally refers to American IPA and its derivatives but this does not imply that English IPA isn't a proper IPA. Originally, the attributes of IPA that were important to its arrival in good condition from England to India by ship were that it was very well-attenuated, and heavily hopped.",
                            IsDeleted = false,
                            Name = "IPA - English"
                        },
                        new
                        {
                            Id = new Guid("ae339a73-e8cb-47f3-b250-a3d25c4cdedb"),
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Description = "The Old Ale is an light amber to very dark reddish-brown colored English ale of moderate to fairly significant alcoholic strength, bigger than standard beers, though usually not as strong or rich as barleywine and often tilted towards a maltier balance. The predominant defining quality for this style is the impression of age, which can manifest itself in different ways (complexity, lactic, Brett, oxidation, leather, vinous qualities are some recurring examples). Roughly overlapping the British Strong Ale and the lower end of the English Barley Wine styles, but always having an aged quality. Barley Wines tend to develop more of an overall mature quality, while Old Ales can show more of the barrel qualities. Old Peculier are also considered as an Old Ale.",
                            IsDeleted = false,
                            Name = "Old Ale"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("AccessFailedCount")
                        .HasColumnType("int");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken()
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("CreatedOn")
                        .HasColumnType("datetime2");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed")
                        .HasColumnType("bit");

                    b.Property<bool>("IsAdmin")
                        .HasColumnType("bit");

                    b.Property<bool>("IsBanned")
                        .HasColumnType("bit");

                    b.Property<bool>("IsDeleted")
                        .HasColumnType("bit");

                    b.Property<bool>("LockoutEnabled")
                        .HasColumnType("bit");

                    b.Property<DateTimeOffset?>("LockoutEnd")
                        .HasColumnType("datetimeoffset");

                    b.Property<string>("NormalizedEmail")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("PhoneNumber")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("PhoneNumberConfirmed")
                        .HasColumnType("bit");

                    b.Property<string>("SecurityStamp")
                        .HasColumnType("nvarchar(max)");

                    b.Property<bool>("TwoFactorEnabled")
                        .HasColumnType("bit");

                    b.Property<string>("UserName")
                        .HasColumnType("nvarchar(256)")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");

                    b.HasData(
                        new
                        {
                            Id = new Guid("cf7b1d39-81a3-49ae-b5a5-40e2633c331b"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "8fa9f4ad-2b93-4bb4-9951-9f62727d9c83",
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "regina@felangie.com",
                            EmailConfirmed = false,
                            IsAdmin = false,
                            IsBanned = false,
                            IsDeleted = false,
                            LockoutEnabled = false,
                            NormalizedEmail = "REGINA@FELANGIE.COM",
                            NormalizedUserName = "REGINA@FELANGIE.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEBwt+7rFMero95Pf5RDzLIP7Lo/hdE6VAxbUTqmCfb2prmfc4iJZxFLk5zBVp0LHIA==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "15CLJEKQCTLPRXMVXXNSWXZH6R6KJRRU",
                            TwoFactorEnabled = false,
                            UserName = "regina@felangie.com"
                        },
                        new
                        {
                            Id = new Guid("8d421895-bdc9-46b0-8ced-f7d86bef8f24"),
                            AccessFailedCount = 0,
                            ConcurrencyStamp = "1bea4570-c19a-4b48-b11e-6a5bb942635b",
                            CreatedOn = new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified),
                            Email = "satoshi@nakamoto.com",
                            EmailConfirmed = false,
                            IsAdmin = true,
                            IsBanned = false,
                            IsDeleted = false,
                            LockoutEnabled = false,
                            NormalizedEmail = "SATOSHI@NAKAMOTO.COM",
                            NormalizedUserName = "SATOSHI@NAKAMOTO.COM",
                            PasswordHash = "AQAAAAEAACcQAAAAEC5K4LMLfUVUwhRxcPNUcr9kcj9GzP/XXUq6Fa2nt/wnYEqQLyQ+cxeoySWCfobRjA==",
                            PhoneNumberConfirmed = false,
                            SecurityStamp = "7I5VNHIJTSZNOT3KDWKNFUV5PVYBHGXN",
                            TwoFactorEnabled = false,
                            UserName = "satoshi@nakamoto.com"
                        });
                });

            modelBuilder.Entity("BeerOverflow.Models.Wishlist", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("BeerId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("BeerId");

                    b.HasIndex("UserId");

                    b.ToTable("Wishlist");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<System.Guid>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<System.Guid>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("ClaimValue")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<System.Guid>", b =>
                {
                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderKey")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("ProviderDisplayName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");

                    b.HasData(
                        new
                        {
                            UserId = new Guid("8d421895-bdc9-46b0-8ced-f7d86bef8f24"),
                            RoleId = new Guid("cdde12b9-e61a-4748-a239-c7331b4fb6a8")
                        },
                        new
                        {
                            UserId = new Guid("cf7b1d39-81a3-49ae-b5a5-40e2633c331b"),
                            RoleId = new Guid("43a08cc4-76ae-46d8-9e2c-cde7b0479146")
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<System.Guid>", b =>
                {
                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("LoginProvider")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(450)");

                    b.Property<string>("Value")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("BeerOverflow.Models.Beer", b =>
                {
                    b.HasOne("BeerOverflow.Models.Brewery", "Brewery")
                        .WithMany("Beers")
                        .HasForeignKey("BreweryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.Country", "Country")
                        .WithMany("Beers")
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.Style", "Style")
                        .WithMany("Beers")
                        .HasForeignKey("StyleId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Models.Brewery", b =>
                {
                    b.HasOne("BeerOverflow.Models.Country", "Country")
                        .WithMany("Breweries")
                        .HasForeignKey("CountryId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Models.Review", b =>
                {
                    b.HasOne("BeerOverflow.Models.Beer", "Beer")
                        .WithMany("Reviews")
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();
                });

            modelBuilder.Entity("BeerOverflow.Models.Wishlist", b =>
                {
                    b.HasOne("BeerOverflow.Models.Beer", "Beer")
                        .WithMany("Wishlists")
                        .HasForeignKey("BeerId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", "User")
                        .WithMany("Wishlist")
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<System.Guid>", b =>
                {
                    b.HasOne("BeerOverflow.Models.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<System.Guid>", b =>
                {
                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<System.Guid>", b =>
                {
                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<System.Guid>", b =>
                {
                    b.HasOne("BeerOverflow.Models.Role", null)
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<System.Guid>", b =>
                {
                    b.HasOne("BeerOverflow.Models.User", null)
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
